aboutsummaryrefslogtreecommitdiffstats
path: root/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
diff options
context:
space:
mode:
Diffstat (limited to 'tools/perf/scripts/python/bin/syscall-counts-by-pid-report')
-rw-r--r--tools/perf/scripts/python/bin/syscall-counts-by-pid-report10
1 files changed, 10 insertions, 0 deletions
diff --git a/tools/perf/scripts/python/bin/syscall-counts-by-pid-report b/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
new file mode 100644
index 000000000000..9e9d8ddd72ce
--- /dev/null
+++ b/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
@@ -0,0 +1,10 @@
+#!/bin/bash
+# description: system-wide syscall counts, by pid
+# args: [comm]
+if [ $# -gt 0 ] ; then
+ if ! expr match "$1" "-" > /dev/null ; then
+ comm=$1
+ shift
+ fi
+fi
+perf trace $@ -s ~/libexec/perf-core/scripts/python/syscall-counts-by-pid.py $comm